Skip to content
torqee Developers
Esc
↑↓navigate↵open⌘Jpreview

Get webhook delivery attempts

Returns 404 after the delivery retention window has elapsed.

GET/api/v1/webhook-deliveries/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

Scopes:torqee:webhooks:read
or
AuthorizationBearer token · headerrequired

Workspace API key issued from the torqee web app. Pass the torqee_-prefixed key as the bearer token. API keys carry the same read scopes as OAuth tokens.

Path parameters
idstringrequired
min length 1
Responses
200

Delivery and attempts

idstringrequired
min length 1
eventIdstringrequired
min length 1
eventTypestringrequired
Allowed:session.createdsession.status_changed
endpointIdstringrequired
min length 1
endpointNamestringrequired
min length 1
endpointUrlstring<uri>required
kindstringrequired
Allowed:eventtestreplay
statusstringrequired
Allowed:pendingretryingsucceededdead_lettercancelled
attemptCountintegerrequired
min 0 · max 9007199254740991
lastHttpStatusinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
nextAttemptAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
terminalAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
stopReasonstring | null
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updatedAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
attemptsobject[]required
Show properties
Array of object
attemptNumberintegerrequired
max 9007199254740991
startedAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
completedAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
httpStatusinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
durationMsintegerrequired
min 0 · max 9007199254740991
errorstring | nullrequired
Show properties
Any of:
string
string
null
null
401

Missing or invalid credentials

errorstringrequired
Allowed:unauthorized
403

Membership revoked or insufficient scope

errorstringrequired
Allowed:insufficient_scopeforbidden
404

Delivery not found or no longer retained

errorstringrequired
Allowed:not_foundworkspace_not_found
500

Unexpected server error

errorstringrequired
Allowed:internal_server_error
503

Delivery history unavailable

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://connect.torqee.app/api/v1/webhook-deliveries/string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "eventId": "string",
  "eventType": "session.created",
  "endpointId": "string",
  "endpointName": "string",
  "endpointUrl": "http://example.com",
  "kind": "event",
  "status": "pending",
  "attemptCount": 0,
  "lastHttpStatus": 100,
  "nextAttemptAt": "2019-08-24T14:15:22Z",
  "terminalAt": "2019-08-24T14:15:22Z",
  "stopReason": "installation_unauthorized",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "attempts": [
    {
      "attemptNumber": 1,
      "startedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z",
      "httpStatus": 100,
      "durationMs": 0,
      "error": "network_error"
    }
  ]
}

Was this page helpful?